#########################

use Test;
BEGIN { plan tests => 5 };
use RenameLock;

my $lock1 = RenameLock->new(lockdir => "t", basename => "lock1", timeout => 1);
my $lock2 = RenameLock->new(lockdir => "t", basename => "lock2");

open(L, ">t/lock1");
close(L);
open(L, ">t/lock2");
close(L);
$lock1->lock;

ok(sub {$lock1->is_locked}, 1);
ok(sub {!$lock2->is_locked});

$lock2->lock;

ok(sub {$lock2->is_locked}, 1);

$lock1->unlock;
$lock2->unlock;

unlink("t/lock1");
unlink("t/lock2");

ok(sub {!$lock1->is_locked});
ok(sub {!$lock2->is_locked});

#########################
